Package de.willuhn.jameica.hbci.io

# Class Banking4UmsatzTypExporter

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractBanking4UmsatzTypIO
de.willuhn.jameica.hbci.io.Banking4UmsatzTypExporter

All Implemented Interfaces:
  `Exporter`, `IO`

public class Banking4UmsatzTypExporter extends AbstractBanking4UmsatzTypIO implements Exporter
Export den Umsatzbaum im Banking4-Format.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.io.AbstractBanking4UmsatzTypIO

`i18n, SEP, settings`

### Fields inherited from interface de.willuhn.jameica.hbci.io.Exporter

`SESSION`

## Constructor Summary

Constructors
Constructor
Description
`Banking4UmsatzTypExporter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doExport(Object[] objects, IOFormat format, OutputStream os, de.willuhn.util.ProgressMonitor monitor)`
Exportiert die genannten Objekte in den angegebenen OutputStream.
`boolean`
`suppportsExtension(String ext)`
Liefert true, wenn der Exporter die angegebene Extension unterstuetzt.

### Methods inherited from class de.willuhn.jameica.hbci.io.AbstractBanking4UmsatzTypIO

`getIOFormats, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.io.IO

`getIOFormats, getName`

## Constructor Details

### Banking4UmsatzTypExporter

public Banking4UmsatzTypExporter()

## Method Details

### doExport

public void doExport(Object[] objects, IOFormat format, OutputStream os, de.willuhn.util.ProgressMonitor monitor) throws RemoteException, de.willuhn.util.ApplicationException
Description copied from interface: `Exporter`
Exportiert die genannten Objekte in den angegebenen OutputStream.

Specified by:
  `doExport` in interface `Exporter`
Parameters:
  `objects` - die zu exportierenden Objekte.
  `format` - das vom User ausgewaehlte Export-Format.
  `os` - der Ziel-Ausgabe-Stream. Der Exporter muss den OutputStream selbst schliessen!
  `monitor` - ein Monitor, an den der Exporter Ausgaben ueber seinen Bearbeitungszustand ausgeben kann.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `Exporter.doExport(java.lang.Object[], de.willuhn.jameica.hbci.io.IOFormat, java.io.OutputStream, de.willuhn.util.ProgressMonitor)`

### suppportsExtension

public boolean suppportsExtension(String ext)
Description copied from interface: `Exporter`
Liefert true, wenn der Exporter die angegebene Extension unterstuetzt.

Hintergrund: Im Export-Dialog koennen verschiedene Optionen (wie etwa "Spalte Saldo ausblenden") angezeigt werden. Manche Export-Formate unterstuetzen diese Option jedoch gar nicht, sodass sie ignoriert werden wuerde. Aus dem Grund kann der Exporter selbst mitteilen, ob er die angegebene Option unterstuetzt. Unterstuetzt er sie nicht, wir die Option automatisch deaktiviert.

Specified by:
  `suppportsExtension` in interface `Exporter`
Parameters:
  `ext` - der Name der Extension.
Returns:
  true, wenn er die Extension unterstuetzt.
See Also:
  - `Exporter.suppportsExtension(java.lang.String)`